# Uses of Enum
org.eclipse.birt.chart.model.attribute.StyledComponent

Packages that use StyledComponent
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of StyledComponent in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type StyledComponent
Modifier and Type
Field
Description
`static final List<StyledComponent>`
StyledComponent.`VALUES`
A public read-only list of all the 'Styled Component' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return StyledComponent
Modifier and Type
Method
Description
`static StyledComponent`
StyledComponent.`get(int value)`
Returns the 'Styled Component' literal with the specified integer value.
`static StyledComponent`
StyledComponent.`get(String literal)`
Returns the 'Styled Component' literal with the specified literal value.
`static StyledComponent`
StyledComponent.`getByName(String name)`
Returns the 'Styled Component' literal with the specified name.
`StyledComponent`
StyleMap.`getComponentName()`
Returns the value of the 'Component Name' attribute.
`static StyledComponent`
StyledComponent.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StyledComponent[]`
StyledComponent.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type StyledComponent
Modifier and Type
Method
Description
`void`
StyleMap.`setComponentName(StyledComponent value)`
Sets the value of the '`Component Name`' attribute.

## Uses of StyledComponent in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return StyledComponent
Modifier and Type
Method
Description
`StyledComponent`
AttributeFactoryImpl.`createStyledComponentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`StyledComponent`
AttributeFactoryImpl.`createStyledComponentObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`StyledComponent`
StyleMapImpl.`getComponentName()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type StyledComponent
Modifier and Type
Method
Description
`static StyleMap`
StyleMapImpl.`create(StyledComponent name, Style style)`
`void`
StyleMapImpl.`setComponentName(StyledComponent newComponentName)`